/* Hoja de estilos */
/* Main Font */

@import url("https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&family=Montserrat:wght@500;700&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}
a {
  text-decoration: none;
}
li {
  list-style: none;
}

html {
  scroll-behavior: smooth;
}
section {
  background-color: #e2e3dd;
}

/* NAVBAR------------------------------------------- */
.navbar {
  background-color: #000;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  z-index: 99;
  position: fixed;
  width: 100%;
}
.navbarIcon {
  width: 230px;
}
.listNavbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding-right: 35px;
  gap: 15px;
}
.listNavbar .liNavbar a {
  font-size: 1rem;
  color: white;
}
.listNavbar .liNavbar {
  position: relative;
  padding: 0;
}
.listNavbar .liNavbar a::after {
  content: "";
  height: 1px;
  width: 100%;
  background: rgb(156, 150, 150);
  position: absolute;
  bottom: 0px;
  left: 0;
  transform: scaleX(0);
  transform-origin: bottom right;
  transition: transform 0.25s ease-in-out;
}
.listNavbar .liNavbar a:hover::after {
  transform-origin: bottom right;
  transform: scaleX(1);
}
.listNavbar .liNavbar a:hover {
  color: rgb(156, 150, 150);
}
.listNavbar .liNavbar i {
  color: white;
}

.listNavbar .liNavbar i:hover {
  color: rgb(156, 150, 150);
}
.menuLabel {
  display: none;
}
#menu-toggle {
  display: none;
}
/* MAIN SECTION */
.hero {
  padding-top: 55px;
  background-color: #e2e3dd;
}
.containerHero {
  height: 475px;
}
.containerHero .imagenPortada {
  width: 100%;
}
.imagenPortadaMobile {
  display: none;
}
.containerHero .titulo {
  text-align: center;
  padding: 20px;
  opacity: 0;
  animation: fade 1.5s ease forwards, slide 1s ease forwards;
  background: rgb(226, 227, 221);
  background: linear-gradient(
    0deg,
    rgba(226, 227, 221, 1) 0%,
    rgba(228, 229, 223, 1) 100%
  );
}
.containerHero span a {
  color: rgb(105, 104, 80);
}
.containerHero span {
  position: relative;
  left: 75%;
  bottom: 100px;
  animation: fade 2s ease forwards;
  padding: 10px;
  border: 1px solid rgb(165, 153, 153);
  border-radius: 8px;
  transition: all 0.5s;
  transition: 0.5s, rgb(165, 153, 153) 0.1s;
}
.containerHero span:hover {
  background-color: #e2e3dd;
  box-shadow: 0px 8px 8px 0 #000;
  padding: 10px 13px;
  transform: scale(1.1);
}

/* Animacion Slide h1 */
@keyframes slide {
  from {
    transform: translateY(100px);
  }
  to {
    transform: translateY(0);
  }
}
@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* SECTION PRODUCTOS */
.sectionProductos {
  padding-bottom: 20px;
}
.titleProductos {
  text-align: center;
  padding: 20px 0px;
  position: relative;
}
.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.containerProduct {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 300px;
  background-color: white;
  margin: 15px 15px;
  box-shadow: 0px 0px 15px 1px #351d1f;
  border-radius: 20px;
}
/* BORDER - BOX-SHADOW PARA CADA CARD */
.containerProduct:nth-child(1) {
  box-shadow: 0px 0px 15px 1px #90050e;
  border: 1px solid #90050e;
}
.containerProduct:nth-child(2) {
  box-shadow: 0px 0px 15px 1px #002a49;
  border: 1px solid #002a49;
}
.containerProduct:nth-child(3) {
  box-shadow: 0px 0px 15px 1px #d59946;
  border: 1px solid #d59946;
}
.containerProduct:nth-child(4) {
  box-shadow: 0px 0px 15px 1px #636361;
  border: 1px solid #bcb1ae;
}
.containerProduct:nth-child(5) {
  box-shadow: 0px 0px 15px 1px #9aa8c1;
  border: 1px solid #9aa8c1;
}
.containerProduct:nth-child(6) {
  box-shadow: 0px 0px 15px 1px #f3da76;
  border: 1px solid #b19e54;
}

.containerProduct:nth-child(7) {
  box-shadow: 0px 0px 15px 1px #023a77;
  border: 1px solid #00a5f4;
}

.containerProduct:nth-child(8) {
  box-shadow: 0px 0px 15px 1px #7785a0;
  border: 1px solid #788499;
}
.containerProduct:nth-child(9) {
  box-shadow: 0px 0px 15px 1px #ddb9c8;
  border: 1px solid #9e8a92;
}
.containerProduct:nth-child(10) {
  box-shadow: 0px 0px 15px 1px #53b6b0;
  border: 1px solid #6db5b0;
}
.containerProduct:nth-child(11) {
  box-shadow: 0px 0px 15px 1px #064d94;
  border: 1px solid #00a5f4;
}
.containerProduct:nth-child(12) {
  box-shadow: 0px 0px 15px 1px #701464;
  border: 1px solid #d861c0;
}
/*----------------------------------------------------------------------*/
.containerProduct .containerInfoProduct {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.containerProduct .containerInfoProduct p {
  letter-spacing: 3px;
}
.containerProduct .containerInfoProduct h4 {
  padding: 10px 0px;
}
.containerProduct .imgProduct {
  width: 250px;
  transition: all 1s 0s ease;
  margin-top: 15px;
  margin-bottom: 15px;
}
.containerProduct .imgProduct:hover {
  transform: scale(1.1);
}
.buttonAgregar {
  margin: 10px 0px;
  border-radius: 15px;
  border: 1px solid grey;
  cursor: pointer;
  padding: 5px 20px;
  letter-spacing: 1px;
}
.buttonAgregar:active {
  background-color: #000000;
  color: whitesmoke;
}
/* SECTION FAQ */
.sectionFAQ {
  padding-bottom: 10px;
}
.titleFAQ {
  text-align: center;
}
.containerFAQ {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 30px 0px;
  gap: 15px;
}
.containerFAQ .containerPreguntas {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
}
details {
  border: 1px solid black;
  margin: 0px 15px;
  border-radius: 10px;
  padding: 10px;
}
details summary {
  cursor: pointer;
  width: 490px;
}
.containerPreguntas p {
  text-align: left;
  padding: 15px;
}
/* SECTION CONTACT */
.sectionContact {
  padding-bottom: 20px;
  background-color: rgb(190, 188, 188);
}
.titleContact {
  text-align: center;
  padding-top: 25px;
}
.containerForm {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 10px 70px;
  gap: 10px;
  background-color: rgb(190, 188, 188);
  margin: 20px 150px;
  padding-top: 20px;
}
.containerForm form{
  display: flex;
  flex-direction: column;
  margin-top: 25px;
}
.containerForm form label{
 padding: 3px;
}
.containerForm form textarea{ 
  resize: none;
  margin-top: 5px;
}
.containerForm input {
  border: none;
  background-color: rgb(190, 188, 188);
  border-bottom: 2px solid black;
  width: 370px;
  padding-bottom: 8px;
  outline: none;
  transition: all 0.5s;
}
input:focus {
  border-bottom-color: lightslategrey;
}

.containerForm button {
  width: 373px;
  height: 35px;
  border: 1px solid grey;
  margin-top: 5px;
  background-color: #e2e3dd;
}
.containerForm button:active {
  background-color: #000000;
  color: whitesmoke;
}
.containerInfoContact {
  display: flex;
  flex-direction: column;
  padding: 30px 10px;
  gap: 10px;
}
.containerInfoContact .infoContact {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
/* FOOTER */
footer {
  background-color: #000;
  padding-bottom: 20px;
}
footer h4 {
  padding-top: 10px;
  color: #e2e3dd;
  font-size: 0.8rem;
  text-align: center;
}
.containerMedia {
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding-top: 10px;
  gap: 10px;
}
.containerMedia i {
  color: white;
}

/* ---hover----- */
.containerMedia .youtube:hover {
  color: #ff4949;
}
.containerMedia .twitter:hover {
  color: #1d9bf0;
}
.containerMedia .instagram:hover {
  color: #f76942;
}
.containerMedia .facebook:hover {
  color: #479ef0;
}
footer h6 {
  text-align: center;
  color: white;
  padding-top: 10px;
}

